Bug 985635 - Changing email address for event notification results in error "User is already subscribed to this event with the same Notification method"
Changing email address for event notification results in error "User is alrea...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity medium
: ---
: 3.3.0
Assigned To: Ravi Nori
Pavel Stehlik
infra
: ZStream
Depends On:
Blocks: 996970
  Show dependency treegraph
 
Reported: 2013-07-17 20:15 EDT by Bryan Yount
Modified: 2016-02-10 14:38 EST (History)
11 users (show)

See Also:
Fixed In Version: is10
Doc Type: Bug Fix
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
: 996970 (view as bug list)
Environment:
Last Closed: 2014-01-21 12:34:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
engine.log from my test environment (39.78 KB, text/x-log)
2013-07-17 20:15 EDT, Bryan Yount
no flags Details
Check the address as well in the IsAlreadySubscribed method in AddEventSubscriptionCommand.java (2.66 KB, patch)
2013-07-17 22:13 EDT, Mark Huth
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 475413 None None None Never
oVirt gerrit 17984 None None None Never
oVirt gerrit 18401 None None None Never

  None (edit)
Description Bryan Yount 2013-07-17 20:15:04 EDT
Created attachment 775028 [details]
engine.log from my test environment

Description of problem:
A user (for example the admin@internal user) is subscribed to event notifications and an email address is set to receive these notifications. After saving the changes, the user realizes they set the wrong email address. They re-enter the dialogue box and change the email address which results in a pop-up error box with the message: "User is already subscribed to this event with the same Notification method."

Version-Release number of selected component (if applicable):
3.2.1-0.39

How reproducible:
Very

Steps to Reproduce:
1. Log in to Admin Portal
2. Click on Users tab
3. Select a user (in this example, admin@internal)
4. Click on the Event Notifier subtab and select "Manage Events"
5. Configure various event notifications
6. Set an email address
7. Click OK
8. Re-enter the "Manage Events" window
9. Change the email address to something different
10. Click OK

Actual results:
The error message appears and causes all/most of the configured events to disappear

Expected results:
The email address should become the changed address
Comment 2 Mark Huth 2013-07-17 22:13:42 EDT
Created attachment 775032 [details]
Check the address as well in the IsAlreadySubscribed method in AddEventSubscriptionCommand.java

This issue seems to have been in RHEVM since 3.1 GA.  I was able to reproduce the problem on a RHEVM3.1.4 environment.

After applying this patch, I no longer get the "User is already subscribed to this event with the same Notification method" popup if I simply change the email address of the event subscriber.

Its interesting, this comment in AddEventSubscriptionCommand.java mentions checking the address, but the IsAlreadySubscribed method doesn't:

 25     protected boolean canDoAction() {
 26         boolean retValue;
 27         // check if user is not already subscribed to this event with same
 28         // method and address

... unless I'm misinterpreting what 'address' is referring to.
Comment 4 David Botzer 2013-09-04 05:13:38 EDT
The Bug is verified, no error message,
though I cant get any mail, Should I pre-configure anything ?
Comment 5 Ravi Nori 2013-09-04 09:13:36 EDT
To received email we will need to setup engine-notification-service and specify the mail host information in the configuration file for the notification-service on the engine.
Comment 6 David Botzer 2013-09-08 01:24:15 EDT
Hi,
Where and what do I need to setup in - engine-notification-service ?
And where is the configuration file for the notification-service ?
Comment 7 David Botzer 2013-09-08 03:34:23 EDT
3.3/is12 - cannot get mails
I did -
1.
In users tab
I marked for admin user all events, & inserted a mail address

2.
cp /usr/share/ovirt-engine/services/ovirt-engine-notifier/ovirt-engine-notifier.conf to /etc/ovirt-engine/notifier/notifier.conf
Configure with server & mail

# The SMTP mail server address. Required.
MAIL_SERVER=xx.xx.xx.com

MAIL_USER=
MAIL_PASSWORD=

MAIL_FROM=xx@redhat.com

restarted ovirt-engine-notifier

3. 
I had brought a Host to maintanence/non-responsive and did some vm actions but no mails
Comment 8 David Botzer 2013-09-08 03:49:48 EDT
Fixed, 3.3/is12
Got the notification, it took some time, but i got it,

Time:2013-09-08 10:41:00.909
Message:Engine server is not responding.
Severity:1

Fixed, 3.3/is12
Comment 9 Charlie 2013-11-27 19:21:56 EST
This bug is currently attached to errata RHEA-2013:15231. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.
* Consequence: What happens when the bug presents.
* Fix: What was done to fix the bug.
* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes 

Thanks in advance.
Comment 11 errata-xmlrpc 2014-01-21 12:34:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0038.html

Note You need to log in before you can comment on or make changes to this bug.